Databases
cancel
Showing results for 
Search instead for 
Did you mean: 

ORA-00331 log version num incompatible with Oracle version num

SOLVED
Go to solution
Enrico Venturi
Super Advisor

ORA-00331 log version num incompatible with Oracle version num

Hello colleagues,
I got this error trying to recover a DB 8.0 in an environment 8.1.x ...
As in your knowledge, is there any way to recover the DB without using the old ORACLE release?

regards
Enrico
2 REPLIES
Alexander M. Ermes
Honored Contributor
Solution

Re: ORA-00331 log version num incompatible with Oracle version num

Hi there.
No, you will need the old binaries and executables.

To step up to 8.1.x you should export from the old database and import into a new one.
Rgds
Alexander M. Ermes

.. and all these memories are going to vanish like tears in the rain! final words from Rutger Hauer in "Blade Runner"
Stan_17
Valued Contributor

Re: ORA-00331 log version num incompatible with Oracle version num

Hi Enrico,

my first answer is no, but if you are really running out of options, then you could try setting compatiable parameter to 8.0 in 8.1.x init file and go through the usual recover process. mind you, this is just making a stab in the dark.

Make backups of 8.0 database, before you try anything.

Good Luck!

-
Stan